Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap
Class Envelope

    java.lang.Object
      |
      +--org.apache.soap.Envelope

public class Envelope
extends java.lang.Object

An `Envelope` object represents the contents and semantics of an `<SOAP-ENV:Envelope>` element.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Sanjiva Weerawarana (sanjiva@watson.ibm.com)

Constructor Summary
`Envelope()`

Method Summary
`void` | `declareNamespace(java.lang.String nsPrefix, java.lang.String namespaceURI)`
`java.lang.String` | `getAttribute(QName attrQName)`
`Body` | `getBody()`
`java.util.Vector` | `getEnvelopeEntries()`
`Header` | `getHeader()`
`void` | `marshall(java.io.Writer sink, XMLJavaMappingRegistry xjmr)` Supported for backward compatibility.
`void` | `marshall(java.io.Writer sink, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`void` | `marshall(java.io.Writer sink, XMLJavaMappingRegistry xjmr, SOAPContext ctx, boolean printPI)`
`void` | `removeAttribute(QName attrQName)`
`void` | `setAttribute(QName attrQName, java.lang.String value)`
`void` | `setBody(Body body)`
`void` | `setEnvelopeEntries(java.util.Vector envelopeEntries)`
`void` | `setHeader(Header header)`
`java.lang.String` | `toString()`
`static Envelope` | `unmarshall(org.w3c.dom.Node src)` Supported for backward compatibility.
`static Envelope` | `unmarshall(org.w3c.dom.Node src, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Envelope

    public Envelope()

Method Detail

### setAttribute

    public void setAttribute(QName attrQName,
                             java.lang.String value)

### getAttribute

    public java.lang.String getAttribute(QName attrQName)

### removeAttribute

    public void removeAttribute(QName attrQName)

### declareNamespace

    public void declareNamespace(java.lang.String nsPrefix,
                                 java.lang.String namespaceURI)

### setHeader

    public void setHeader(Header header)

### getHeader

    public Header getHeader()

### setBody

    public void setBody(Body body)

### getBody

    public Body getBody()

### setEnvelopeEntries

    public void setEnvelopeEntries(java.util.Vector envelopeEntries)

### getEnvelopeEntries

    public java.util.Vector getEnvelopeEntries()

### marshall

    public void marshall(java.io.Writer sink,
    XMLJavaMappingRegistry xjmr)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  Supported for backward compatibility.
    `java.lang.IllegalArgumentException`
    `java.io.IOException`
  See Also:
    `marshall(java.io.Writer, org.apache.soap.util.xml.XMLJavaMappingRegistry, org.apache.soap.rpc.SOAPContext)`

### marshall

    public void marshall(java.io.Writer sink,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### marshall

    public void marshall(java.io.Writer sink,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx,
                         boolean printPI)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public static Envelope unmarshall(org.w3c.dom.Node src)
                               throws java.lang.IllegalArgumentException

  Supported for backward compatibility.
    `java.lang.IllegalArgumentException`
  See Also:
    `unmarshall(org.w3c.dom.Node, org.apache.soap.rpc.SOAPContext)`

### unmarshall

    public static Envelope unmarshall(org.w3c.dom.Node src,
    SOAPContext ctx)
                               throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.